Rename purpleConversation -> prplConversation where appropriate

RESOLVED FIXED in 1.3

Status

--
minor
RESOLVED FIXED
5 years ago
5 years ago

People

(Reporter: aleth, Assigned: aleth)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment)

(Assignee)

Description

5 years ago
*** Original post on bio 1492 at 2012-06-07 15:14:00 UTC ***

*** Due to BzAPI limitations, the initial description is in comment 1 ***
(Assignee)

Comment 1

5 years ago
Created attachment 8353328 [details] [diff] [review]
Patch

*** Original post on bio 1492 as attmnt 1573 at 2012-06-07 15:14:00 UTC ***

Essentially a simple search/replace. The name of one notification changes ("target-purple-conversation-changed"), but it's not one that I expect add-ons will be using.
Attachment #8353328 - Flags: review?(florian)
*** Original post on bio 1492 at 2012-06-07 17:28:36 UTC ***

Comment on attachment 8353328 [details] [diff] [review] (bio-attmnt 1573)
Patch

The patch look good. The only issue I see is:
http://mxr.mozilla.org/comm-central/search?string=target-purple-conversation-changed&find=mail%2F&findi=&filter=^[^\0]*%24&hitlimit=&tree=comm-central
(Assignee)

Comment 3

5 years ago
*** Original post on bio 1492 at 2012-06-07 21:32:17 UTC ***

(In reply to comment #1)
> Comment on attachment 8353328 [details] [diff] [review] (bio-attmnt 1573) [details]
> Patch
> 
> The patch look good. The only issue I see is:
> http://mxr.mozilla.org/comm-central/search?string=target-purple-conversation-changed&find=mail%2F&findi=&filter=^[^\0]*%24&hitlimit=&tree=comm-central

This means that, when merged with TB, a corresponding patch will be needed for the parts of this patch that are not in /chat.
Comment on attachment 8353328 [details] [diff] [review]
Patch

*** Original change on bio 1492 attmnt 1573 at 2012-08-01 09:27:32 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353328 - Flags: review?(florian) → review+
(Assignee)

Comment 5

5 years ago
*** Original post on bio 1492 at 2012-10-18 18:43:59 UTC ***

Not sure if this is still wanted, but it never got checked in for some reason.
Whiteboard: [checkin-needed]
*** Original post on bio 1492 at 2012-10-19 12:07:20 UTC ***

(In reply to comment #3)
> Not sure if this is still wanted, but it never got checked in for some reason.

This is still wanted, in my opinion, at least. We might need a c-c patch too though...
Assignee: nobody → aleth
Status: NEW → ASSIGNED
*** Original post on bio 1492 at 2012-10-19 12:21:57 UTC ***

I think the reason why it didn't land was that it would have needlessly complicated the hg.instantbird.org/instantbird -> comm-{central,aurora,beta} merges.

If Instantbird's UI code lands in c-c soon, waiting for that to happen before landing this patch may be a good idea.
If it's not coming soon enough, we can take this for Instantbird and deal with the Tb changes...
*** Original post on bio 1492 at 2012-11-03 04:19:17 UTC ***

Checked in as http://hg.instantbird.org/instantbird/rev/a4c1966a2901

Did we decide if there are any TB changes to match this? If not, please resolve this bug.
Whiteboard: [checkin-needed]
Target Milestone: --- → 1.3
(Assignee)

Comment 9

5 years ago
*** Original post on bio 1492 at 2012-11-04 13:26:12 UTC ***

(In reply to comment #6)
> Checked in as http://hg.instantbird.org/instantbird/rev/a4c1966a2901
> 
> Did we decide if there are any TB changes to match this? If not, please resolve
> this bug.

Yes, the corresponding checkin for TB will have to handle the two instances from comment #1.
(Assignee)

Comment 10

5 years ago
*** Original post on bio 1492 at 2012-11-18 13:16:54 UTC ***

Resolving this anyhow as the IB part is done.
Status: ASSIGNED → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
(Assignee)

Updated

5 years ago
See Also: → bug 812877
You need to log in before you can comment on or make changes to this bug.